Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class Query

    java.lang.Object
      |
      +--com.sun.wbem.query.Query

public class Query
extends java.lang.Object

This class contains all the constants associated with conditional relations.

Since:
  WBEM 1.0
See Also:
  `CIMClient`, `com.sun.wbem.query.BinaryRelQueryExp.java`

Field Summary
`static int` | `EQ` Represents the equals conditional relation
`static int` | `GE` Represents the >= conditional relation
`static int` | `GT` Represents the greater than conditional relation
`static int` | `ISA` Represents the ISA conditional relation for class membership.
`static int` | `LE` Represents the <= conditional relation
`static int` | `LIKE` Represents the 'like' conditional relation as defined in the SQL-92 standard.
`static int` | `LT` Represents the less than conditional relation
`static int` | `NE` Represents the not equals conditional relation
`static int` | `NISA`
`static int` | `NLIKE` Represents the 'not like' conditional relation as defined in the SQL-92 standard.

Constructor Summary
`Query()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GT

    public static final int GT

  Represents the greater than conditional relation

### LT

    public static final int LT

  Represents the less than conditional relation

### GE

    public static final int GE

  Represents the >= conditional relation

### LE

    public static final int LE

  Represents the <= conditional relation

### EQ

    public static final int EQ

  Represents the equals conditional relation

### NE

    public static final int NE

  Represents the not equals conditional relation

### LIKE

    public static final int LIKE

  Represents the 'like' conditional relation as defined in the SQL-92 standard. Currently only the % matching is supported without support for ESCAPE or _

### NLIKE

    public static final int NLIKE

  Represents the 'not like' conditional relation as defined in the SQL-92 standard. Currently only the % matching is supported without support for ESCAPE or _

### ISA

    public static final int ISA

  Represents the ISA conditional relation for class membership. This is not part of SQL

### NISA

    public static final int NISA

Constructor Detail

### Query

    public Query()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD